org.firstinspires.ftc.robotcore.external

## Interface Telemetry.Item

- Enclosing interface:
    Telemetry

      public static interface Telemetry.Item

  Instances of `Telemetry.Item` represent an item of data on the drive station telemetry display.
  See Also:
    `#addData(String, Object)}`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> Telemetry.Item` | `addData(java.lang.String caption, Func<T> valueProducer)` Adds a new data item in the associated `Telemetry` immediately following the receiver.
    `Telemetry.Item` | `addData(java.lang.String caption, java.lang.Object value)` Adds a new data item in the associated `Telemetry` immediately following the receiver.
    `<T> Telemetry.Item` | `addData(java.lang.String caption, java.lang.String format, Func<T> valueProducer)` Adds a new data item in the associated `Telemetry` immediately following the receiver.
    `Telemetry.Item` | `addData(java.lang.String caption, java.lang.String format, java.lang.Object... args)` Adds a new data item in the associated `Telemetry` immediately following the receiver.
    `java.lang.String` | `getCaption()` Returns the caption associated with this item.
    `boolean` | `isRetained()` Returns whether the item is to be retained in a clear() operation.
    `Telemetry.Item` | `setCaption(java.lang.String caption)` Sets the caption associated with this item.
    `Telemetry.Item` | `setRetained(java.lang.Boolean retained)` Sets whether the item is to be retained in clear() operation or not.
    `<T> Telemetry.Item` | `setValue(Func<T> valueProducer)` Updates the value of this item to be the indicated value producer.
    `Telemetry.Item` | `setValue(java.lang.Object value)` Updates the value of this item to be the result of applying `Object.toString()` to the indicated object.
    `<T> Telemetry.Item` | `setValue(java.lang.String format, Func<T> valueProducer)` Updates the value of this item to be the indicated value producer.
    `Telemetry.Item` | `setValue(java.lang.String format, java.lang.Object... args)` Updates the value of this item to be the result of the indicated string formatting operation.

- - ### Method Detail

    - #### getCaption

          java.lang.String getCaption()

      Returns the caption associated with this item.
      Returns:
        the caption associated with this item.
      See Also:
        `setCaption(String)`, `addData(String, Object)`

    - #### setCaption

          Telemetry.Item setCaption(java.lang.String caption)

      Sets the caption associated with this item.
      Parameters:
        `caption` - the new caption associated with this item.
      Returns:
        the receiver
      See Also:
        `getCaption()`

    - #### setValue

          Telemetry.Item setValue(java.lang.String format,
                                  java.lang.Object... args)

      Updates the value of this item to be the result of the indicated string formatting operation.
      Parameters:
        `format` - the format of the data
        `args` - the arguments associated with the format
      Returns:
        the receiver
      See Also:
        `addData(String, String, Object...)`

    - #### setValue

          Telemetry.Item setValue(java.lang.Object value)

      Updates the value of this item to be the result of applying `Object.toString()` to the indicated object.
      Parameters:
        `value` - the object to which `Object.toString()` should be applied
      Returns:
        the receiver
      See Also:
        `addData(String, Object)`

    - #### setValue

          <T> Telemetry.Item setValue(Func<T> valueProducer)

      Updates the value of this item to be the indicated value producer.
      Parameters:
        `valueProducer` - an object that produces values to be rendered.
      Returns:
        the receiver
      See Also:
        `addData(String, Func)`

    - #### setValue

          <T> Telemetry.Item setValue(java.lang.String format,
                                      Func<T> valueProducer)

      Updates the value of this item to be the indicated value producer.
      Parameters:
        `format` - this string used to format values produced
        `valueProducer` - an object that produces values to be rendered.
      Returns:
        the receiver
      See Also:
        `addData(String, String, Func)`

    - #### setRetained

          Telemetry.Item setRetained(java.lang.Boolean retained)

      Sets whether the item is to be retained in clear() operation or not. This is initially true for items that whose value is computed with a value producer; otherwise, it is initially false.
      Parameters:
        `retained` - if true, then the value will be retained during a clear(). Null will return the setting to its initial value.
      Returns:
        the receiver
      See Also:
        `Telemetry.clear()`, `isRetained()`

    - #### isRetained

          boolean isRetained()

      Returns whether the item is to be retained in a clear() operation.
      Returns:
        whether the item is to be retained in a clear() operation.
      See Also:
        `setRetained(Boolean)`

    - #### addData

          Telemetry.Item addData(java.lang.String caption,
                                 java.lang.String format,
                                 java.lang.Object... args)

      Adds a new data item in the associated `Telemetry` immediately following the receiver.
      See Also:
        `addData(String, String, Object...)`

    - #### addData

          Telemetry.Item addData(java.lang.String caption,
                                 java.lang.Object value)

      Adds a new data item in the associated `Telemetry` immediately following the receiver.
      See Also:
        `addData(String, Object)`

    - #### addData

          <T> Telemetry.Item addData(java.lang.String caption,
                                     Func<T> valueProducer)

      Adds a new data item in the associated `Telemetry` immediately following the receiver.
      See Also:
        `addData(String, Func)`

    - #### addData

          <T> Telemetry.Item addData(java.lang.String caption,
                                     java.lang.String format,
                                     Func<T> valueProducer)

      Adds a new data item in the associated `Telemetry` immediately following the receiver.
      See Also:
        `addData(String, String, Func)`